<?php

namespace Drupal\config_pr\RepoControllers;

use Github\Client;

/**
 * Class to define the Github Enterprise controller.
 *
 * @see \Drupal\config_pr\RepoControllerInterface
 */
class GithubEnterpriseController extends GithubController {

  /**
   * Holds the controller name.
   *
   * @var string
   *   The controller name.
   */
  protected $controllerName = 'Github Enterprise';

  /**
   * Holds the controller Id.
   *
   * @var string
   *   The controller id.
   */
  protected $controllerId = 'config_pr.repo_controller.github_enterprise';

  /**
   * {@inheritdoc}
   */
  public function authenticate(): bool {
    $repo_url = \Drupal::service('config.factory')->get('config_pr.settings')->get('repo.repo_url');
    $this->client = new Client(NULL, NULL, $repo_url);
    $this->client->authenticate($this->getAuthToken(), NULL, Github\AuthMethod::ACCESS_TOKEN);
  }

}
